%define url_ver	%(echo %{version}|cut -d. -f1,2)
%define major 2
%define libname %mklibname mate-menu %major
%define develname %mklibname -d mate-menu
%define api 2.0
%define gi_major 2.0
%define girname %mklibname mate-menu-gir %{gi_major}

Summary:        MATE menu library
Name:           mate-menus
Version:        1.6.0
Release:        %mkrel 4
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Group:          System/Libraries
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) 2.16.0-2mdv unclutter preferences/settings menu
Patch0:         mate-menus-1.6.0-mga-uncluttermenu.patch
Patch1:         mate-menus-1.6.0-mga-l10n.patch

BuildRequires:  intltool
BuildRequires:  mate-common
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(python)

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

Also contained here are the MATE menu layout configuration files,
.directory files and assorted menu related utility programs.

%package -n python-%{name}
Group:      Development/Python
Summary:    Module to access XDG menu

%description -n python-%{name}
Python module to access XDG menu.

%package -n %libname
Group:      System/Libraries
Summary:    MATE menu library
Conflicts:  gir-repository < 0.6.5-8

%description -n %libname
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %develname
Group:      Development/C
Summary:    MATE menu library development files
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %develname
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x \
      --disable-static \
      --enable-python \
      --enable-introspection=yes
%make

%install
%makeinstall_std
find %{buildroot} -type f -name "*.la" -delete

%find_lang %name

%files -f %name.lang
%doc AUTHORS COPYING README
%dir %{_sysconfdir}/xdg/menus
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-*
%{_datadir}/%{name}
%{_datadir}/mate/desktop-directories/*

%files -n python-%{name}
%{python_sitearch}/*

%files -n %libname
%{_libdir}/libmate-menu.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/MateMenu-%{gi_major}.typelib

%files -n %develname
%{_libdir}/lib*.so
%{_includedir}/mate-menus/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/MateMenu-%api.gir


%changelog
* Tue Jan 21 2014 tarakbumba <tarakbumba> 1.6.0-4.mga4
+ Revision: 567265
- Do not move .menu files into subdir, it breaks mintmenu.
- Add improved l10n support

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531051
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 461741
- remove duplicate BuildRequires and Suggests

  + tarakbumba <tarakbumba>
    - imported package mate-menus

